Skip to content

Retrieve a news item

Request

You can fetch the details of a single news item.

Security
bearerAuth
Path
idintegerrequired

The unique identifier for the news item which is given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  https://api.intercom.io/news/news_items/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

successful

Bodyapplication/json
typestring

The type of object.

Value:"news-item"
Example:"news-item"
idstring

The unique identifier for the news item which is given by Intercom.

Example:"141"
workspace_idstring

The id of the workspace which the news item belongs to.

Example:"t74hdn32"
titlestring

The title of the news item.

Example:"New feature: News Items"
bodystring

The news item body, which may contain HTML.

Example:"We are excited to announce the launch of News Items, a new content type in Intercom enabling you to announce product updates, company news, promotion
sender_idinteger

The id of the sender of the news item. Must be a teammate on the workspace.

Example:123
statestring

News items will not be visible to your users in the assigned newsfeeds until they are set live.

Enum:"draft""live"
Example:"live"
newsfeed_assignmentsArray of objects(Newsfeed Assignment)

A list of newsfeed_assignments to assign to the specified newsfeed.

labelsArray of strings

Label names displayed to users to categorize the news item.

cover_image_urlstring or null, (uri)

URL of the image used as cover. Must have .jpg or .png extension.

Example:"https://example.com/cover.jpg"
reactionsArray of strings

Ordered list of emoji reactions to the news item. When empty, reactions are disabled.

deliver_silentlyboolean

When set to true, the news item will appear in the messenger newsfeed without showing a notification badge.

Example:true
created_atinteger, (timestamp)

Timestamp for when the news item was created.

Example:1610589632
updated_atinteger, (timestamp)

Timestamp for when the news item was last updated.

Example:1610589632
Response
{ "id": "34", "type": "news-item", "workspace_id": "this_is_an_id511_that_should_be_at_least_", "title": "We have news", "body": "<p>Hello there,</p>", "sender_id": 991267596, "state": "live", "labels": [], "cover_image_url": null, "reactions": [ null, null, null, null ], "deliver_silently": false, "created_at": 1717021621, "updated_at": 1717021621, "newsfeed_assignments": [ {} ] }